Bug 52999 - up2date 2.6.0-7.x.37 hangs when getting headers
up2date 2.6.0-7.x.37 hangs when getting headers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-01 11:28 EDT by Eric Schaffner
Modified: 2015-01-07 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 12:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Schaffner 2001-09-01 11:28:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
up2date and up2date-nox 2.6.0-7.x.37 hang when retrieving the headers for
skipped packages or when retrieving headers for available packages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run up2date or up2date-nox -u
2.
3.
	

Actual Results:  If I have kernel* and glibc* listed as exceptions, up2date
hangs at 11% when retrieving skipped headers.  If I remove the exceptions,
it hangs at 28% on retrieving headers for available packages.

---
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/gui.py", line 358, in onChannelsPageNext
    refreshCallback = self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1442, in
getUpdatedPackageList
    hdr = getHeader(pkgSkipList[index][0])
  File "/usr/share/rhn/up2date_client/up2date.py", line 718, in getHeader
    hdr,type = doCall(headerSource.getHeader, pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 286, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 120, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 449, in getHeader
    size,fd = self.s.getPackageHeader(channel, filename)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 683, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rhnHTTPlib.py", line 257, in __request
    self.__protocol)
  File "/usr/share/rhn/up2date_client/rhnHTTPlib.py", line 122, in request
    h.putrequest("GET", "%s/%s" % (handler, req))
  File "/usr/lib/python1.5/httplib.py", line 98, in putrequest
    self.send(str)
  File "/usr/lib/python1.5/httplib.py", line 86, in send
    self.sock.send(str)
AttributeError: sock
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/gui.py", line 395, in
onSkippedPagePrepare    maxlength = max(map(lambda x: len(x[0][0]),
self.skipPkgList)) * 8
ValueError: min() or max() of empty sequence


Expected Results:  It should have updated

Additional info:

Here is my /etc/sysconfig/rhn/rhn_register:

# Automatically generated Red Hat RHN Registration config file, do not edit.
# Format: 1.0
noSSLServerURL[comment]=Remote server URL without SSL
noSSLServerURL=http://beta.rhns.redhat.com/XMLRPC

httpProxy[comment]=HTTP proxy in host:port format, e.g. squid.redhat.com:3128
httpProxy=

enableProxy[comment]=Use a HTTP Proxy
enableProxy=0

serverURL[comment]=Remote server URL
serverURL=https://beta.rhns.redhat.com/XMLRPC

debug[comment]=Whether or not debugging is enabled
debug=0
Comment 1 Adrian Likins 2001-09-04 12:27:35 EDT
which version of python-xmlrpc is currently installed?

Comment 2 Adrian Likins 2001-09-04 19:48:59 EDT
okay, think I see what is going on. This will be
fixed in the next version.
Comment 3 Eric Schaffner 2001-09-04 20:38:31 EDT
It was running with  python-xmlrpc-1.4.5-0.7.x.  Upgrading to
python-xmlrpc-1.4.8-3 fixed the problem.
Comment 4 Adrian Likins 2001-09-04 23:27:45 EDT
Cool. Thanks for the followup.
Comment 5 Matt Jamison 2003-05-19 12:24:54 EDT
confirmed to now work in version: up2date-2.7.86-7.x.3


Note You need to log in before you can comment on or make changes to this bug.